#ifndef PROJ_DEFS
#define PROJ_DEFS

#include "mysystypes.h"

#define	XTAL	4000000L
#define	BAUD	19200L

typedef struct
{
	union
	{
		char all;
		struct
		{
			char	IsPrimaryPage	:1;
			char	IsModified		:1;
			char	RxBufOverload	:1;
			char	TxBufOverload	:1;
		};
	};
} TMainControlStateReg;

#pragma location = 4
__no_init __regvar TMainControlStateReg MCFR;

#pragma location = 5
__no_init __regvar char mySREG;

#define	UART_RX_BUF_SIZE	0x80
#define	UART_TX_BUF_SIZE	0x80

#endif
