#ifndef MY_SYS_TYPES
	#define MY_SYS_TYPES  
   
	typedef unsigned char INT8U;
	typedef signed char INT8S;
	typedef unsigned int INT16U;
	typedef signed int INT16S;
	typedef unsigned long INT32U;
	typedef signed long INT32S;
  
	#define IsBitSet(b,n)  (b & (1 << (n)))
	#define IsBitClear(b,n) (!(b & (1 << (n))))
	#define SetBit(b,n)  (b |= (1 << (n)))
	#define ClearBit(b,n)  (b &= ~(1 << (n)))
	#define InvertBit(b,n)  (b ^= (1 << (n))); 

    #ifndef NULL
		#define NULL ((void *)0)
    #endif

	/*
	#ifdef XTAL == 4000000L
		void Delay_us(INT8U us);
	#else
		#error	"Proc Delay only for XTAL = 4MHz"
	#endif
	*/
#endif
